Draft Shape2DView/es

From FreeCAD Documentation
Revision as of 15:38, 14 February 2014 by Yorik (talk | contribs) (Created page with "==Utilización==")

Draft_Shape2DView

Ubicación en el Menú
Boceto -> Vista de forma 2D
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta sitúa en el documento un objeto 2D que es una vista proyectada de un objeto basado en formas.

Utilización

  1. Select the object you want to extract a 2D view from
  2. Press the Draft Shape2DView button

Options

  • If the selected object is an Arch SectionPlane, the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.
  • The normal operating mode is Solid, which projects the whole shape, but, if you selected some faces of the base object when creating the 2D view, you can also set the Individual Faces mode, which will project only the faces that were selected.
  • If the selected object is an Arch SectionPlane, a cutlines projection mode is also available, which projects only the edges being cut by the section plane.

Properties

  • DatosProjection: The direction of the projection.
  • DatosProjection Mode: The mode of the projection: solid, individual faces, or cutlines.

Scripting

The Draft Shape2DView tool can by used in macros and from the python console by using the following function:

 makeShape2DView (object,[projection],[facenumbers])
  • Adds a 2D shape to the document, which is a 2D projection of the given object.
  • A specific projection vector can also be given.
  • Returns the generated object.
  • You can also provide a list of face numbers to be considered.

Example:

 import FreeCAD,Draft
 Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)